Installer kernel Marshmallow (Wiko Lenny 2 )

  • Auteur de la discussion st0rm01
  • Date de début
S

st0rm01

Membre
Inscrit
13 Mai 2017
Messages
5
Points
0
Bonjour,
J'aimerai installer le kernel Marshmallow que j'ai compilé à partir du code source téléchargé depuis
S'il vous plaît, Connexion ou S'inscrire pour voir le contenu ou les urls !
.
J'ai réussi à le compilé aprés avoir corrigé une erreur d'include dans le fichier "ddp_dsi.h", maintenant j'ai le zImage et le zImage-dtb mais quand j'execute les commandes ci dessous j'ai une erreur:
Code:
S'il vous plaît, Connexion ou S'inscrire to view codes content!
Quelqu'un peut me dire comment procéder s'il vous plait!
Merci d'avance
EDIT:

- J'ai dumper l'image boot du /dev/block/<partition-boot>
Code:
S'il vous plaît, Connexion ou S'inscrire to view codes content!
- ensuite j'ai décompressé l'image à l'aide de l'outil split_bootimg.pl (
S'il vous plaît, Connexion ou S'inscrire pour voir le contenu ou les urls !
)
- j'ai calculé l'adresse de base comme décrit dans l'article :
S'il vous plaît, Connexion ou S'inscrire pour voir le contenu ou les urls !

- J'ai remplacé le fichier boot.img-kernel par le zImage compilé depuis le code source de
S'il vous plaît, Connexion ou S'inscrire pour voir le contenu ou les urls !

Code:
S'il vous plaît, Connexion ou S'inscrire to view codes content!
- Enfin j'ai flasher avec fastboot:
Code:
S'il vous plaît, Connexion ou S'inscrire to view codes content!
Mais le téléphone ne boot pas!
Quelqu'un a une idée s'il vous plait

Merci.
 
faltisal

faltisal

New Member
Inscrit
11 Mai 2017
Messages
324
Points
0
Salut, Ton device n'est pas compatible faudra que tu modifie le kernel pour que ça marche, Le lenny2 est uniquement sous Android L, C'est le lenny3 qui a Android M, Je sais que c'est contradictoire mais c'est une erreur sur le site de wiko.
Edit: Puis une kernel Android M n'est pas du tout rétro compatible avec un OS sous android L, Il n'arrive pas a communiquer entre eux donc c'est peine perdu.
 

Haut Bas